Update the route details of a consignment

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • carrierId
    Type: string | nullFormat: uuid
  • carrierReferenceNumber
    Type: string | null
  • carrierRunNumber
    Type: string | null
  • carrierRunOrdinal
    Type: integer | nullFormat: int32

    Signed 32-bit integers (commonly used integer type).

  • defaultDispatchWarehouseLocationId
    Type: string | nullFormat: uuid
  • defaultReceiveWarehouseLocationId
    Type: string | nullFormat: uuid
  • deliveryInstructions
    Type: string | null
  • destinationAddressId
    Type: string | nullFormat: uuid
  • destinationAttention
    Type: string | null
  • destinationAuthorityToLeave
    Type: boolean
  • originAddressId
    Type: string | nullFormat: uuid
  • originAttention
    Type: string | null
Responses
  • 200

    OK

  • 304

    Not Modified

Request Example for put/v1/consignments/{consignmentId}/route
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/route \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "carrierId": null,
  "carrierReferenceNumber": null,
  "carrierRunNumber": null,
  "carrierRunOrdinal": null,
  "originAddressId": null,
  "originAttention": null,
  "destinationAddressId": null,
  "destinationAttention": null,
  "destinationAuthorityToLeave": true,
  "defaultDispatchWarehouseLocationId": null,
  "defaultReceiveWarehouseLocationId": null,
  "deliveryInstructions": null
}'
No Body